Loading...
Searching...
No Matches
file.c File Reference

## Macros

#define | _(String)

## Functions

void | hfs_file_close (HfsPrivateFile *file)
HfsPrivateFile * | hfs_file_open (PedFileSystem *fs, uint32_t CNID, HfsExtDataRec ext_desc, PedSector sect_nb)
int | hfs_file_read_sector (HfsPrivateFile *file, void *buf, PedSector sector)
int | hfs_file_write_sector (HfsPrivateFile *file, void *buf, PedSector sector)

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## Function Documentation

## hfs_file_close()

void hfs_file_close | ( | HfsPrivateFile * | file | ) |

## hfs_file_open()

HfsPrivateFile * hfs_file_open | ( | PedFileSystem * | fs,
|  | uint32_t | CNID,
|  | HfsExtDataRec | ext_desc,
|  | PedSector | sect_nb )

## hfs_file_read_sector()

int hfs_file_read_sector | ( | HfsPrivateFile * | file,
|  | void * | buf,
|  | PedSector | sector )

## hfs_file_write_sector()

int hfs_file_write_sector | ( | HfsPrivateFile * | file,
|  | void * | buf,
|  | PedSector | sector )